__gnu_cxx::new_allocator< _Tp >(3)

NAME
__gnu_cxx::new_allocator< _Tp > - An allocator that uses global new, as per C++03 [20.4.1].

SYNOPSIS

#include <ext/new_allocator.h>

Inherits std::__new_allocator< _Tp >.

  Public Types
typedef std::ptrdiff_t difference_type
typedef std::true_type propagate_on_container_move_assignment
typedef std::size_t size_type
typedef _Tp value_type

  Public Member Functions
new_allocator (const new_allocator &) noexcept
template<typename _Tp1 > new_allocator (const new_allocator< _Tp1 > &) noexcept
_Tp * allocate (size_type __n, const void *=static_cast< const void * >(0))
void deallocate (_Tp *__p, size_type __n)

Detailed Description

  template<typename _Tp>
class __gnu_cxx::new_allocator< _Tp >"An allocator that uses global new, as per C++03 [20.4.1]. This is precisely the allocator defined in the C++ Standard.

•   all allocation calls operator new

•   all deallocation calls operator delete

This is a non-standard extension that can be used to guarantee allocation from new even if the library has been configured to use a different implementation for std::allocator.

Template Parameters
    _Tp Type of allocated object.

Author

Generated automatically by Doxygen for libstdc++ from the source code.